import React from 'react';
import type { defaultSnapProps, snapPoints } from '../types';
import { useReady } from './useReady';
export declare function useSnapPoints({ contentContainerRef, controlledMaxHeight, footerRef, getSnapPoints, headerRef, heightRef, lastSnapRef, ready, registerReady, }: {
    contentContainerRef: React.RefObject<Element>;
    controlledMaxHeight?: number;
    footerRef: React.RefObject<Element>;
    getSnapPoints: snapPoints;
    headerRef: React.RefObject<Element>;
    heightRef: React.RefObject<number>;
    lastSnapRef: React.RefObject<number>;
    ready: boolean;
    registerReady: ReturnType<typeof useReady>['registerReady'];
}): {
    minSnap: number;
    maxSnap: number;
    findSnap: (numberOrCallback: number | ((state: defaultSnapProps) => number)) => number;
    maxHeight: number;
};
